"""initial_table

Revision ID: 47c239bb7fbf
Revises: 
Create Date: 2020-12-24 18:01:30.224159

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '47c239bb7fbf'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('account',
    sa.Column('data_id', sa.Integer(), nullable=False),
    sa.Column('username', sa.String(length=150), nullable=False),
    sa.Column('password', sa.String(length=150), nullable=False),
    sa.Column('name', sa.String(length=150), nullable=False),
    sa.Column('phone', sa.String(length=20), nullable=True),
    sa.Column('is_staff', sa.Boolean(), nullable=False),
    sa.Column('profpic', sa.String(length=200), nullable=True),
    sa.PrimaryKeyConstraint('data_id')
    )
    op.create_table('event',
    sa.Column('data_id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=150), nullable=False),
    sa.Column('shortname', sa.String(length=15), nullable=True),
    sa.Column('start', sa.DateTime(), nullable=False),
    sa.Column('end', sa.DateTime(), nullable=True),
    sa.Column('description', sa.Text(), nullable=True),
    sa.Column('location', sa.String(length=150), nullable=True),
    sa.Column('preview', sa.String(length=200), nullable=True),
    sa.PrimaryKeyConstraint('data_id')
    )
    op.create_table('event_involved',
    sa.Column('data_id', sa.Integer(), nullable=False),
    sa.Column('event_id', sa.Integer(), nullable=False),
    sa.Column('account_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['account_id'], ['account.data_id'], ondelete='SET NULL'),
    sa.ForeignKeyConstraint(['event_id'], ['event.data_id'], ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('data_id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('event_involved')
    op.drop_table('event')
    op.drop_table('account')
    # ### end Alembic commands ###
